clear; close all;

%lon=[-30:2.5:30], lat=[-10:2.5:30]

load eof_30100_jjas.mat;
olr=olr';
PC1=olr*C;

cosa=zeros(4,3416,425);
for a=1:4; % boucle sur les VP
      for b=1:3416 % boucle sur le temps
          for c=1:425 % boucle sur l espace
             cosa(a,b,c)=PC1(b,426-a)*C(c,426-a);
          end;
      end;
end;

cosa1(:,:)=cosa(1,:,:);  
cosa1=reshape(cosa1,3416,25,17); 


cosa2(:,:)=cosa(2,:,:);  
cosa2=reshape(cosa2,3416,25,17); 

cosabis=cosa(2:3,:,:); 
cosa23(:,:)=sum(cosabis); clear cosabis;
cosa23=reshape(cosa23,3416,25,17); 



figure(1); orient('landscape')
figure(2); orient('landscape')
figure(3); orient('landscape')

% On selectionne la demaine geographique

% la latitude : 7.5N (8) 12.5N (10)
% la longitude : 10W (9) 10E(17) 
lat1=8; lat2=10;
lon1=9; lon2=17;
taille=(lat2-lat1+1)*(lon2-lon1+1);


cosa1=cosa1(:,lon1:lon2,lat1:lat2); clear cosi2;
cosa1=reshape(cosa1,3416,taille); 
cosa1=cosa1';
cosa1=mean(cosa1); 
cosa1=cosa1';
save eof1_30100.txt cosa1 -ascii;
cosa1=reshape(cosa1,122,28);

% On selectionne la demaine geographique
olr=reshape(olr,3416,25,17); 
cosa4=olr(:,lon1:lon2,lat1:lat2); clear olr;
cosa4=reshape(cosa4,3416,taille); clear taille;
cosa4=cosa4';
cosa4=mean(cosa4);
cosa4=cosa4';
cosa4=reshape(cosa4,122,28);

for a=1:28;
     if a<12;
        figure(1); subplot(4,3,a);
     elseif a<24
        figure(2); subplot(4,3,a-11);
    else
        figure(3); subplot(4,3,a-23);
     end
     y2=cosa1(:,a);
     y4=cosa4(:,a);
     x=[1:122]'; 
     plot(x,y2); hold on;
     plot(x,y4,'k');
     y5=zeros(122,1);
     plot(x,y5,'k:');
     
     title(a+1978,'Fontsize',8);
     if a==2;
         text(0,65,'OLR 7.5 -12.5N et 10W - 10E');
     elseif a==13;
         text(0,65,'OLR 7.5 -12.5N et 10W - 10E');
     end
     set(gca,'tickDir','out');
     if a==11;
        aa=legend('OLR VP1','OLR NOAA');
        set(aa,'fontsize',8,'Position',[0.6800 0.1039 0.2470 0.1642])
        legend boxoff;
     elseif a==22;
        clear aa;
        aa=legend('OLR VP1','OLR NOAA');
        set(aa,'fontsize',8,'Position',[0.6800 0.1039 0.2470 0.1642])
        legend boxoff;
     end;
     axis([1 122 -15 15]);
     set (gca,'YTick',[-15:5:15],'YTickLabel',[-15:5:15],'fontname','Arial','fontsize',6);
   set (gca,'XTick',[10:10:122],'XTickLabel',[10:10:122],'fontname','Arial','fontsize',6);

end; 

figure(1); print -depsc2 reconstitution1_eof1_filtreER_30100.eps;
figure(2); print -depsc2 reconstitution2_eof1_filtreER_30100.eps;
figure(3); print -depsc2 reconstitution3_eof1_filtreER_30100.eps;

