% initialisation
clear; close all;


% etape 1 :on selectionne les mois d ete (attention aux annees bixestiles!)
%          on compile sous forme d'un seul fichier

hgt500=zeros(122,49,144,28);

siz=31+28+31+30+31+1; sizbis=31+28+31+30+31+30+31+31+30;
ncload('hgt500.1979.nc'); hgt500(:,:,:,1)=hgt(siz:sizbis,1,:,:); clear hgt;
ncload('hgt500.1980.nc'); hgt500(:,:,:,2)=hgt(siz+1:sizbis+1,1,:,:); clear hgt;
ncload('hgt500.1981.nc'); hgt500(:,:,:,3)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1982.nc'); hgt500(:,:,:,4)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1983.nc'); hgt500(:,:,:,5)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1984.nc'); hgt500(:,:,:,6)=hgt(siz+1:sizbis+1,1,:,:);clear hgt;
ncload('hgt500.1985.nc'); hgt500(:,:,:,7)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1986.nc'); hgt500(:,:,:,8)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1987.nc'); hgt500(:,:,:,9)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1988.nc'); hgt500(:,:,:,10)=hgt(siz+1:sizbis+1,1,:,:);clear hgt;
ncload('hgt500.1989.nc'); hgt500(:,:,:,11)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1990.nc'); hgt500(:,:,:,12)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1991.nc'); hgt500(:,:,:,13)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1992.nc'); hgt500(:,:,:,14)=hgt(siz+1:sizbis+1,1,:,:);clear hgt;
ncload('hgt500.1993.nc'); hgt500(:,:,:,15)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1994.nc'); hgt500(:,:,:,16)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1995.nc'); hgt500(:,:,:,17)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1996.nc'); hgt500(:,:,:,18)=hgt(siz+1:sizbis+1,1,:,:);clear hgt;
ncload('hgt500.1997.nc'); hgt500(:,:,:,19)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1998.nc'); hgt500(:,:,:,20)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.1999.nc'); hgt500(:,:,:,21)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.2000.nc'); hgt500(:,:,:,22)=hgt(siz+1:sizbis+1,1,:,:);clear hgt;
ncload('hgt500.2001.nc'); hgt500(:,:,:,23)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.2002.nc'); hgt500(:,:,:,24)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.2003.nc'); hgt500(:,:,:,25)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.2004.nc'); hgt500(:,:,:,26)=hgt(siz+1:sizbis+1,1,:,:);clear hgt;
ncload('hgt500.2005.nc'); hgt500(:,:,:,27)=hgt(siz:sizbis,1,:,:);clear hgt;
ncload('hgt500.2006.nc'); hgt500(:,:,:,28)=hgt(siz:sizbis,1,:,:);clear hgt;
hgt500=hgt500+31265;

clear siz1 siz1bis;

hgt500=permute(hgt500,[1 4 2 3]);

for a=1:122;
    for b=1:28;
        for c=1:49;
            for d=1:144;
                if hgt500(a,b,c,d)==31265;
                    hgt500(a,b,c,d)=NaN;
                end
            end
        end
    end
end
                    

hgt1=zeros(122,28,49,144);
hgt1(:,:,:,1:72)=hgt500(:,:,:,73:144);
hgt1(:,:,:,73:144)=hgt500(:,:,:,1:72);
clear hgt500; hgt500=hgt1; clear hgt1;

hgt1=permute(hgt500,[2 1 3 4]);
hgt2(:,:,:)=nanmean(hgt1); clear hgt1;
hgt3=reshape(hgt500, 3416,49,144);
hgt4(:,:)=nanmean(hgt3); clear hgt3;

for a=1:122;
   for b=1:28;
      for c=1:37;
         for d=1:144; 
             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));                
         end;
      end;
   end;
end;
clear hgt2 hgt4;


%%%%%%%%%%%%%%% FICHIER OLR
fid=fopen('sahel_pb.dat','r');
v=fread(fid,3538,'float');
fclose(fid);

% on met sous la forme annee mois
ind_olr=reshape(v,122,29); clear v; 

% on selectionne les annees de 1979 a 2006
ind_olr=ind_olr(:,1:28); 
k=122*28; 

% on centre et on reduit la serie de l OLR
ind_olr=reshape(ind_olr, k,1);
olr_std=std(ind_olr); 
olr_moy=mean(ind_olr); 

for a=1:3416;
   ind_olr(a)=(ind_olr(a)-olr_moy)/olr_std;
end
ind_olr=reshape(ind_olr,122,28);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% GEOPOTENTIEL
% intialisation des tableaux
hgt500_filtre_compomax=NaN*ones(3,80,31,49,144); 
hgt500_filtre_compomin=NaN*ones(3,80,31,49,144);
table_compteurmax=zeros(80,4);
table_compteurmin=zeros(80,4);
compteurmax=0; 
compteurmin=0;
hgt=hgt500;
clear hgt500
for a=1:28; % boucle sur les annees
   clear delta; 
   delta=zeros(122,1);
   for b=1:122; % boucle sur les jours : on prepare avant   
        if b>1;
            delta(b)=ind_olr(b,a)-ind_olr(b-1,a);
        end;
   end;
   for b=1:122; % boucle sur les jours
      if (b>21 & b<112); % 1ere condition (laisser une marge de 10) 
% cas 1 : max deltas apres negetifs et deltas avant postifs   
         if (delta(b+1)<0 & delta(b)>0 & ind_olr(b,a)>1.50); 
compteurmax=compteurmax+1;
 format short g; 

tablecompteurmax(compteurmax,:)=[compteurmax b 1978+a ind_olr(b,a)];
hgt500_filtre_compomax(1,compteurmax,1,:,:)=hgt(b-20,a,:,:);
hgt500_filtre_compomax(1,compteurmax,2,:,:)=hgt(b-19,a,:,:);
hgt500_filtre_compomax(1,compteurmax,3,:,:)=hgt(b-18,a,:,:);
hgt500_filtre_compomax(1,compteurmax,4,:,:)=hgt(b-17,a,:,:);
hgt500_filtre_compomax(1,compteurmax,5,:,:)=hgt(b-16,a,:,:);
hgt500_filtre_compomax(1,compteurmax,6,:,:)=hgt(b-15,a,:,:);
hgt500_filtre_compomax(1,compteurmax,7,:,:)=hgt(b-14,a,:,:);
hgt500_filtre_compomax(1,compteurmax,8,:,:)=hgt(b-13,a,:,:);
hgt500_filtre_compomax(1,compteurmax,9,:,:)=hgt(b-12,a,:,:);
hgt500_filtre_compomax(1,compteurmax,10,:,:)=hgt(b-11,a,:,:);
hgt500_filtre_compomax(1,compteurmax,11,:,:)=hgt(b-10,a,:,:);
hgt500_filtre_compomax(1,compteurmax,12,:,:)=hgt(b-9,a,:,:);
hgt500_filtre_compomax(1,compteurmax,13,:,:)=hgt(b-8,a,:,:);
hgt500_filtre_compomax(1,compteurmax,14,:,:)=hgt(b-7,a,:,:);
hgt500_filtre_compomax(1,compteurmax,15,:,:)=hgt(b-6,a,:,:);
hgt500_filtre_compomax(1,compteurmax,16,:,:)=hgt(b-5,a,:,:);
hgt500_filtre_compomax(1,compteurmax,17,:,:)=hgt(b-4,a,:,:);
hgt500_filtre_compomax(1,compteurmax,18,:,:)=hgt(b-3,a,:,:);
hgt500_filtre_compomax(1,compteurmax,19,:,:)=hgt(b-2,a,:,:);
hgt500_filtre_compomax(1,compteurmax,20,:,:)=hgt(b-1,a,:,:);
hgt500_filtre_compomax(1,compteurmax,21,:,:)=hgt(b,a,:,:);
hgt500_filtre_compomax(1,compteurmax,22,:,:)=hgt(b+1,a,:,:);
hgt500_filtre_compomax(1,compteurmax,23,:,:)=hgt(b+2,a,:,:);
hgt500_filtre_compomax(1,compteurmax,24,:,:)=hgt(b+3,a,:,:);
hgt500_filtre_compomax(1,compteurmax,25,:,:)=hgt(b+4,a,:,:);
hgt500_filtre_compomax(1,compteurmax,26,:,:)=hgt(b+5,a,:,:);
hgt500_filtre_compomax(1,compteurmax,27,:,:)=hgt(b+6,a,:,:);
hgt500_filtre_compomax(1,compteurmax,28,:,:)=hgt(b+7,a,:,:);
hgt500_filtre_compomax(1,compteurmax,29,:,:)=hgt(b+8,a,:,:);
hgt500_filtre_compomax(1,compteurmax,30,:,:)=hgt(b+9,a,:,:);
hgt500_filtre_compomax(1,compteurmax,31,:,:)=hgt(b+10,a,:,:);

hgt500_filtre_compomax(2,compteurmax,1,:,:)=hgt(b-21,a,:,:);
hgt500_filtre_compomax(2,compteurmax,2,:,:)=hgt(b-20,a,:,:);
hgt500_filtre_compomax(2,compteurmax,3,:,:)=hgt(b-19,a,:,:);
hgt500_filtre_compomax(2,compteurmax,4,:,:)=hgt(b-18,a,:,:);
hgt500_filtre_compomax(2,compteurmax,5,:,:)=hgt(b-17,a,:,:);
hgt500_filtre_compomax(2,compteurmax,6,:,:)=hgt(b-16,a,:,:);
hgt500_filtre_compomax(2,compteurmax,7,:,:)=hgt(b-15,a,:,:);
hgt500_filtre_compomax(2,compteurmax,8,:,:)=hgt(b-14,a,:,:);
hgt500_filtre_compomax(2,compteurmax,9,:,:)=hgt(b-13,a,:,:);
hgt500_filtre_compomax(2,compteurmax,10,:,:)=hgt(b-12,a,:,:);
hgt500_filtre_compomax(2,compteurmax,11,:,:)=hgt(b-11,a,:,:);
hgt500_filtre_compomax(2,compteurmax,12,:,:)=hgt(b-10,a,:,:);
hgt500_filtre_compomax(2,compteurmax,13,:,:)=hgt(b-9,a,:,:);
hgt500_filtre_compomax(2,compteurmax,14,:,:)=hgt(b-8,a,:,:);
hgt500_filtre_compomax(2,compteurmax,15,:,:)=hgt(b-7,a,:,:);
hgt500_filtre_compomax(2,compteurmax,16,:,:)=hgt(b-6,a,:,:);
hgt500_filtre_compomax(2,compteurmax,17,:,:)=hgt(b-5,a,:,:);
hgt500_filtre_compomax(2,compteurmax,18,:,:)=hgt(b-4,a,:,:);
hgt500_filtre_compomax(2,compteurmax,19,:,:)=hgt(b-3,a,:,:);
hgt500_filtre_compomax(2,compteurmax,20,:,:)=hgt(b-2,a,:,:);
hgt500_filtre_compomax(2,compteurmax,21,:,:)=hgt(b-1,a,:,:);
hgt500_filtre_compomax(2,compteurmax,22,:,:)=hgt(b,a,:,:);
hgt500_filtre_compomax(2,compteurmax,23,:,:)=hgt(b+1,a,:,:);
hgt500_filtre_compomax(2,compteurmax,24,:,:)=hgt(b+2,a,:,:);
hgt500_filtre_compomax(2,compteurmax,25,:,:)=hgt(b+3,a,:,:);
hgt500_filtre_compomax(2,compteurmax,26,:,:)=hgt(b+4,a,:,:);
hgt500_filtre_compomax(2,compteurmax,27,:,:)=hgt(b+5,a,:,:);
hgt500_filtre_compomax(2,compteurmax,28,:,:)=hgt(b+6,a,:,:);
hgt500_filtre_compomax(2,compteurmax,29,:,:)=hgt(b+7,a,:,:);
hgt500_filtre_compomax(2,compteurmax,30,:,:)=hgt(b+8,a,:,:);
hgt500_filtre_compomax(2,compteurmax,31,:,:)=hgt(b+9,a,:,:);

hgt500_filtre_compomax(3,compteurmax,1,:,:)=hgt(b-19,a,:,:);
hgt500_filtre_compomax(3,compteurmax,2,:,:)=hgt(b-18,a,:,:);
hgt500_filtre_compomax(3,compteurmax,3,:,:)=hgt(b-17,a,:,:);
hgt500_filtre_compomax(3,compteurmax,4,:,:)=hgt(b-16,a,:,:);
hgt500_filtre_compomax(3,compteurmax,5,:,:)=hgt(b-15,a,:,:);
hgt500_filtre_compomax(3,compteurmax,6,:,:)=hgt(b-14,a,:,:);
hgt500_filtre_compomax(3,compteurmax,7,:,:)=hgt(b-13,a,:,:);
hgt500_filtre_compomax(3,compteurmax,8,:,:)=hgt(b-12,a,:,:);
hgt500_filtre_compomax(3,compteurmax,9,:,:)=hgt(b-11,a,:,:);
hgt500_filtre_compomax(3,compteurmax,10,:,:)=hgt(b-10,a,:,:);
hgt500_filtre_compomax(3,compteurmax,11,:,:)=hgt(b-9,a,:,:);
hgt500_filtre_compomax(3,compteurmax,12,:,:)=hgt(b-8,a,:,:);
hgt500_filtre_compomax(3,compteurmax,13,:,:)=hgt(b-7,a,:,:);
hgt500_filtre_compomax(3,compteurmax,14,:,:)=hgt(b-6,a,:,:);
hgt500_filtre_compomax(3,compteurmax,15,:,:)=hgt(b-5,a,:,:);
hgt500_filtre_compomax(3,compteurmax,16,:,:)=hgt(b-4,a,:,:);
hgt500_filtre_compomax(3,compteurmax,17,:,:)=hgt(b-3,a,:,:);
hgt500_filtre_compomax(3,compteurmax,18,:,:)=hgt(b-2,a,:,:);
hgt500_filtre_compomax(3,compteurmax,19,:,:)=hgt(b-1,a,:,:);
hgt500_filtre_compomax(3,compteurmax,20,:,:)=hgt(b,a,:,:);
hgt500_filtre_compomax(3,compteurmax,21,:,:)=hgt(b+1,a,:,:);
hgt500_filtre_compomax(3,compteurmax,22,:,:)=hgt(b+2,a,:,:);
hgt500_filtre_compomax(3,compteurmax,23,:,:)=hgt(b+3,a,:,:);
hgt500_filtre_compomax(3,compteurmax,24,:,:)=hgt(b+4,a,:,:);
hgt500_filtre_compomax(3,compteurmax,25,:,:)=hgt(b+5,a,:,:);
hgt500_filtre_compomax(3,compteurmax,26,:,:)=hgt(b+6,a,:,:);
hgt500_filtre_compomax(3,compteurmax,27,:,:)=hgt(b+7,a,:,:);
hgt500_filtre_compomax(3,compteurmax,28,:,:)=hgt(b+8,a,:,:);
hgt500_filtre_compomax(3,compteurmax,29,:,:)=hgt(b+9,a,:,:);
hgt500_filtre_compomax(3,compteurmax,30,:,:)=hgt(b+10,a,:,:);
hgt500_filtre_compomax(3,compteurmax,31,:,:)=hgt(b+11,a,:,:);


% cas 2 : min deltas apres positifs et deltas avant negatifs   
         elseif (delta(b+1)>0 & delta(b)<0 & ind_olr(b,a)<-1.50);
            compteurmin=compteurmin+1;
format short g;
tablecompteurmin(compteurmin,:)=[compteurmin b 1978+a ind_olr(b,a)]; 
hgt500_filtre_compomin(1,compteurmin,1,:,:)=hgt(b-21,a,:,:);
hgt500_filtre_compomin(1,compteurmin,2,:,:)=hgt(b-20,a,:,:);
hgt500_filtre_compomin(1,compteurmin,3,:,:)=hgt(b-19,a,:,:);
hgt500_filtre_compomin(1,compteurmin,4,:,:)=hgt(b-18,a,:,:);
hgt500_filtre_compomin(1,compteurmin,5,:,:)=hgt(b-17,a,:,:);
hgt500_filtre_compomin(1,compteurmin,6,:,:)=hgt(b-16,a,:,:);
hgt500_filtre_compomin(1,compteurmin,7,:,:)=hgt(b-15,a,:,:);
hgt500_filtre_compomin(1,compteurmin,8,:,:)=hgt(b-14,a,:,:);
hgt500_filtre_compomin(1,compteurmin,9,:,:)=hgt(b-13,a,:,:);
hgt500_filtre_compomin(1,compteurmin,10,:,:)=hgt(b-12,a,:,:);
hgt500_filtre_compomin(1,compteurmin,11,:,:)=hgt(b-11,a,:,:);
hgt500_filtre_compomin(1,compteurmin,12,:,:)=hgt(b-10,a,:,:);
hgt500_filtre_compomin(1,compteurmin,13,:,:)=hgt(b-9,a,:,:);
hgt500_filtre_compomin(1,compteurmin,14,:,:)=hgt(b-8,a,:,:);
hgt500_filtre_compomin(1,compteurmin,15,:,:)=hgt(b-7,a,:,:);
hgt500_filtre_compomin(1,compteurmin,16,:,:)=hgt(b-6,a,:,:);
hgt500_filtre_compomin(1,compteurmin,17,:,:)=hgt(b-5,a,:,:);
hgt500_filtre_compomin(1,compteurmin,18,:,:)=hgt(b-4,a,:,:);
hgt500_filtre_compomin(1,compteurmin,19,:,:)=hgt(b-3,a,:,:);
hgt500_filtre_compomin(1,compteurmin,20,:,:)=hgt(b-2,a,:,:);
hgt500_filtre_compomin(1,compteurmin,21,:,:)=hgt(b-1,a,:,:);
hgt500_filtre_compomin(1,compteurmin,22,:,:)=hgt(b,a,:,:);
hgt500_filtre_compomin(1,compteurmin,23,:,:)=hgt(b+1,a,:,:);
hgt500_filtre_compomin(1,compteurmin,24,:,:)=hgt(b+2,a,:,:);
hgt500_filtre_compomin(1,compteurmin,25,:,:)=hgt(b+3,a,:,:);
hgt500_filtre_compomin(1,compteurmin,26,:,:)=hgt(b+4,a,:,:);
hgt500_filtre_compomin(1,compteurmin,27,:,:)=hgt(b+5,a,:,:);
hgt500_filtre_compomin(1,compteurmin,28,:,:)=hgt(b+6,a,:,:);
hgt500_filtre_compomin(1,compteurmin,29,:,:)=hgt(b+7,a,:,:);
hgt500_filtre_compomin(1,compteurmin,30,:,:)=hgt(b+8,a,:,:);
hgt500_filtre_compomin(1,compteurmin,31,:,:)=hgt(b+9,a,:,:);

hgt500_filtre_compomin(2,compteurmin,1,:,:)=hgt(b-19,a,:,:);
hgt500_filtre_compomin(2,compteurmin,2,:,:)=hgt(b-18,a,:,:);
hgt500_filtre_compomin(2,compteurmin,3,:,:)=hgt(b-17,a,:,:);
hgt500_filtre_compomin(2,compteurmin,4,:,:)=hgt(b-16,a,:,:);
hgt500_filtre_compomin(2,compteurmin,5,:,:)=hgt(b-15,a,:,:);
hgt500_filtre_compomin(2,compteurmin,6,:,:)=hgt(b-14,a,:,:);
hgt500_filtre_compomin(2,compteurmin,7,:,:)=hgt(b-13,a,:,:);
hgt500_filtre_compomin(2,compteurmin,8,:,:)=hgt(b-12,a,:,:);
hgt500_filtre_compomin(2,compteurmin,9,:,:)=hgt(b-11,a,:,:);
hgt500_filtre_compomin(2,compteurmin,10,:,:)=hgt(b-10,a,:,:);
hgt500_filtre_compomin(2,compteurmin,11,:,:)=hgt(b-9,a,:,:);
hgt500_filtre_compomin(2,compteurmin,12,:,:)=hgt(b-8,a,:,:);
hgt500_filtre_compomin(2,compteurmin,13,:,:)=hgt(b-7,a,:,:);
hgt500_filtre_compomin(2,compteurmin,14,:,:)=hgt(b-6,a,:,:);
hgt500_filtre_compomin(2,compteurmin,15,:,:)=hgt(b-5,a,:,:);
hgt500_filtre_compomin(2,compteurmin,16,:,:)=hgt(b-4,a,:,:);
hgt500_filtre_compomin(2,compteurmin,17,:,:)=hgt(b-3,a,:,:);
hgt500_filtre_compomin(2,compteurmin,18,:,:)=hgt(b-2,a,:,:);
hgt500_filtre_compomin(2,compteurmin,19,:,:)=hgt(b-1,a,:,:);
hgt500_filtre_compomin(2,compteurmin,20,:,:)=hgt(b,a,:,:);
hgt500_filtre_compomin(2,compteurmin,21,:,:)=hgt(b+1,a,:,:);
hgt500_filtre_compomin(2,compteurmin,22,:,:)=hgt(b+2,a,:,:);
hgt500_filtre_compomin(2,compteurmin,23,:,:)=hgt(b+3,a,:,:);
hgt500_filtre_compomin(2,compteurmin,24,:,:)=hgt(b+4,a,:,:);
hgt500_filtre_compomin(2,compteurmin,25,:,:)=hgt(b+5,a,:,:);
hgt500_filtre_compomin(2,compteurmin,26,:,:)=hgt(b+6,a,:,:);
hgt500_filtre_compomin(2,compteurmin,27,:,:)=hgt(b+7,a,:,:);
hgt500_filtre_compomin(2,compteurmin,28,:,:)=hgt(b+8,a,:,:);
hgt500_filtre_compomin(2,compteurmin,29,:,:)=hgt(b+9,a,:,:);
hgt500_filtre_compomin(2,compteurmin,30,:,:)=hgt(b+10,a,:,:);
hgt500_filtre_compomin(2,compteurmin,31,:,:)=hgt(b+11,a,:,:);

hgt500_filtre_compomin(3,compteurmin,1,:,:)=hgt(b-20,a,:,:);
hgt500_filtre_compomin(3,compteurmin,2,:,:)=hgt(b-19,a,:,:);
hgt500_filtre_compomin(3,compteurmin,3,:,:)=hgt(b-18,a,:,:);
hgt500_filtre_compomin(3,compteurmin,4,:,:)=hgt(b-17,a,:,:);
hgt500_filtre_compomin(3,compteurmin,5,:,:)=hgt(b-16,a,:,:);
hgt500_filtre_compomin(3,compteurmin,6,:,:)=hgt(b-15,a,:,:);
hgt500_filtre_compomin(3,compteurmin,7,:,:)=hgt(b-14,a,:,:);
hgt500_filtre_compomin(3,compteurmin,8,:,:)=hgt(b-13,a,:,:);
hgt500_filtre_compomin(3,compteurmin,9,:,:)=hgt(b-12,a,:,:);
hgt500_filtre_compomin(3,compteurmin,10,:,:)=hgt(b-11,a,:,:);
hgt500_filtre_compomin(3,compteurmin,11,:,:)=hgt(b-10,a,:,:);
hgt500_filtre_compomin(3,compteurmin,12,:,:)=hgt(b-9,a,:,:);
hgt500_filtre_compomin(3,compteurmin,13,:,:)=hgt(b-8,a,:,:);
hgt500_filtre_compomin(3,compteurmin,14,:,:)=hgt(b-7,a,:,:);
hgt500_filtre_compomin(3,compteurmin,15,:,:)=hgt(b-6,a,:,:);
hgt500_filtre_compomin(3,compteurmin,16,:,:)=hgt(b-5,a,:,:);
hgt500_filtre_compomin(3,compteurmin,17,:,:)=hgt(b-4,a,:,:);
hgt500_filtre_compomin(3,compteurmin,18,:,:)=hgt(b-3,a,:,:);
hgt500_filtre_compomin(3,compteurmin,19,:,:)=hgt(b-2,a,:,:);
hgt500_filtre_compomin(3,compteurmin,20,:,:)=hgt(b-1,a,:,:);
hgt500_filtre_compomin(3,compteurmin,21,:,:)=hgt(b,a,:,:);
hgt500_filtre_compomin(3,compteurmin,22,:,:)=hgt(b+1,a,:,:);
hgt500_filtre_compomin(3,compteurmin,23,:,:)=hgt(b+2,a,:,:);
hgt500_filtre_compomin(3,compteurmin,24,:,:)=hgt(b+3,a,:,:);
hgt500_filtre_compomin(3,compteurmin,25,:,:)=hgt(b+4,a,:,:);
hgt500_filtre_compomin(3,compteurmin,26,:,:)=hgt(b+5,a,:,:);
hgt500_filtre_compomin(3,compteurmin,27,:,:)=hgt(b+6,a,:,:);
hgt500_filtre_compomin(3,compteurmin,28,:,:)=hgt(b+7,a,:,:);
hgt500_filtre_compomin(3,compteurmin,29,:,:)=hgt(b+8,a,:,:);
hgt500_filtre_compomin(3,compteurmin,30,:,:)=hgt(b+9,a,:,:);
hgt500_filtre_compomin(3,compteurmin,31,:,:)=hgt(b+10,a,:,:);
         end;
      end;
   end;         
end;
compteurmin
compteurmax
save tablecompteurmin_pb.txt tablecompteurmin -ascii;
save tablecompteurmax_pb.txt tablecompteurmax -ascii;

% on fait la somme des valeurs de hgt500_filtreentiel sur le nbre d occurences
% on obtent un tableau de la forme (jours-avant-apres,lon,lat)
hgt500_filtre_compomin=reshape(hgt500_filtre_compomin,240,31,49,144);
hgt500_filtre_compomax=reshape(hgt500_filtre_compomax,240,31,49,144);
hgt500_filtre_compomin1(:,:,:)=nanmean(hgt500_filtre_compomin); clear hgt500_filtre_compomin;
hgt500_filtre_compomax1(:,:,:)=nanmean(hgt500_filtre_compomax); clear hgt500_filtre_compomax;

x=[-10:1:10]'; %'

figure(1); 
orient('landscape');
lat=lat';

for e=1:7;
       a=7-(e-1)+1;
       f=2*(a-1)+1;
       clear delta_hgt500_filtre_min;
       delta_hgt500_filtre_min=zeros(49,144);
       for b=1:49;
          for c=1:144;
             delta_hgt500_filtre_min(b,c)=hgt500_filtre_compomin1(f,b,c)-hgt500_filtre_compomax1(f,b,c);
          end;
       end;
       for b=1:49;
          for c=1:144;
             if delta_hgt500_filtre_min(b,c)<-50;
                  delta_hgt500_filtre_min(b,c)=-50;
             elseif delta_hgt500_filtre_min(b,c)>50;
                  delta_hgt500_filtre_min(b,c)=50;
             end;
          end;
       end
       subplot(7,1,8-e);
       palettejerome30
       colormap(palette);
       delta_hgt500_filtre_min(1,1)=-50.001;
       delta_hgt500_filtre_min(1,2)=50.001;

       aa=contourf(lon-180,lat,delta_hgt500_filtre_min,[-50:2.5:50],'LineStyle','none');
       if e==1;
         set (gca,'XTick',[-60:30:60],'XTickLabel',['60W';'30W';' 0 ';'30W';'60W'],'fontsize',6);
       else;
         set (gca,'XTick',[-60:30:60],'XTickLabel',[' ';' ';' ';' ';' ']);
       end;       
       set (gca,'YTick',[20:10:70],'YTickLabel',['   ';'30N';'40N';'50N';'60N';'   '],'fontname','Arial','fontsize',6);
       if e==4;
          co=colorbar;            
          set(co,'ytick',[-40:20:40],'yticklabel',[-40:20:40],'fontname','Arial','fontsize',6);
       end;
       hold on; cartemonde1;
       set (gca,'tickDir','out');
       axis equal;
       axis([-80 100 20 70]);
       if e==7;
           title('HGT500 composite EOF234 10-25j filtre PB seuil 1.50','fontsize',8);
       end;
       text(-180,50,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/10;
       set(gca,'position',[0.2 pos_vert 0.5 0.1]); 
end;

print -depsc2 compo_hgt500_eof234_1025_pb1_seuil150.eps;

figure(2); 
orient('landscape');

for e=1:7;
       a=7-(e-1)+1+7;
       f=2*(a-1)+1;
       clear delta_hgt500_filtre_min;
       delta_hgt500_filtre_min=zeros(49,144);
       for b=1:49;
          for c=1:144;
             delta_hgt500_filtre_min(b,c)=hgt500_filtre_compomin1(f,b,c)-hgt500_filtre_compomax1(f,b,c);
          end;
       end;
       for b=1:49;
          for c=1:144;
             if delta_hgt500_filtre_min(b,c)<-50;
                  delta_hgt500_filtre_min(b,c)=-50;
             elseif delta_hgt500_filtre_min(b,c)>50;
                  delta_hgt500_filtre_min(b,c)=50;
             end;
          end;
       end
       subplot(7,1,8-e);
       palettejerome30;
      colormap(palette);
 
       delta_hgt500_filtre_min(1,1)=-50.001;
       delta_hgt500_filtre_min(1,2)=50.001;
 
       aa=contourf(lon-180,lat,delta_hgt500_filtre_min,[-50:2.5:50],'LineStyle','none');
       if e==1;
         set (gca,'XTick',[-60:30:60],'XTickLabel',['60W';'30W';' 0 ';'30W';'60W'],'fontsize',6);
       else;
         set (gca,'XTick',[-60:30:60],'XTickLabel',[' ';' ';' ';' ';' ']);
       end;       
       set (gca,'YTick',[20:10:70],'YTickLabel',['   ';'30N';'40N';'50N';'60N';'   '],'fontname','Arial','fontsize',6);
       if e==4;
          co=colorbar;            
          set(co,'ytick',[-40:20:40],'yticklabel',[-40:20:40],'fontname','Arial','fontsize',6);
       end;
       hold on; cartemonde1;
       set (gca,'tickDir','out');
       axis equal;
       axis([-80 100 20 70]);
       if e==7;
           title('HGT500 composite EOF234 10-25j filtre PB seuil 1.50','fontsize',8);
       end;
       text(-180,50,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/10;
       set(gca,'position',[0.2 pos_vert 0.5 0.1]); 
end;
print -depsc2 compo_hgt500_eof234_1025_pb2_seuil150.eps;


